#
# spec file for package unison (Version 2.17.1)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl atk atk-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db desktop-translations diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gpm grep groff gtk2 gtk2-devel gzip info insserv klogd lablgtk2 less libacl libattr libcom_err libdrm libgcc41 libjpeg libltdl libmudflap41 libnscd libpng libpng-devel libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg ocaml openldap2-client openssl pam pam-modules pango pango-devel patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           unison
BuildRequires:  gtk2-devel lablgtk2 update-desktop-files
License:        GNU General Public License (GPL)
Group:          Productivity/Networking/Other
Autoreqprov:    on
Version:        2.17.1
Release:        20.2
Source0:        http://www.cis.upenn.edu/~bcpierce/unison/download/releases/stable/unison-%{version}.tar.gz
Source1:        http://www.cis.upenn.edu/~bcpierce/unison/download/releases/stable/unison-%{version}-manual.html
Source2:        %name.desktop
Patch0:         unison-windowout.diff
URL:            http://www.cis.upenn.edu/~bcpierce/unison
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        A file synchronization tool

%description
Unison is a file synchronization tool for Unix and Windows. It allows
two replicas of a collection of files and directories to be stored on
different hosts (or different disks on the same host), modified
separately, then brought up to date by propagating the changes in each
replica to the other.



Authors:
--------
    Benjamin Pierce <bcpierce@cis.upenn.edu>

%debug_package
%prep
%setup -q
%patch0

%build
%ifarch s390 s390x
make UISTYLE=gtk2 NATIVE=false THREADS=false
%else
make UISTYLE=gtk2 NATIVE=true THREADS=true
%endif

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 %name $RPM_BUILD_ROOT%{_bindir}
install -m 644 %{SOURCE1} unison-manual.html
%suse_update_desktop_file -i %name Utility SyncUtility
%ifarch s390 s390x
# do not strip non-optimized builds
export NO_BRP_STRIP_DEBUG=true
%endif

%clean
rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%doc BUGS.txt CONTRIB COPYING NEWS README ROADMAP.txt TODO.txt unison-manual.html
/usr/share/applications/*
%{_bindir}/%{name}

%changelog -n unison
* Wed Dec 13 2006 - mhopf@suse.de
- added patch for no longer closing main window if subwindows open
- removed unison-gtk1 again
* Wed Dec 06 2006 - seife@suse.de
- add unison-gtk1, a binary compiled against lablgtk
* Mon Sep 25 2006 - mhopf@suse.de
- Update to version 2.17.1
- Completely rewritten backup function (actually working now)
- Ip V6 support
- Several bug fixes
* Thu Sep 21 2006 - seife@suse.de
- switch to GTK2 / lablgtk2
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Oct 10 2005 - rommel@suse.de
- update to version 2.13.16 (includes all of our recent fixes)
- updated spec file, manual is available in html now
* Tue Mar 15 2005 - ro@suse.de
- enable optimized compile on x86_64
* Wed Sep 15 2004 - ro@suse.de
- fix build with ocaml-3.08 (from unison-hackers ml)
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Fri Aug 15 2003 - adrian@suse.de
- add desktop file
* Tue Jul 22 2003 - rommel@suse.de
- fixed "invalid escape sequence" error messages
- fixed %%install (not using make install anymore)
- compiling with thread support
* Wed May 07 2003 - ro@suse.de
- fix tail calling syntax
* Mon Jan 27 2003 - rommel@suse.de
- replaced pdf file (unreadable) with ps file
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Tue May 28 2002 - ro@suse.de
- update to 2.9.1 makes it build with current ocaml
* Fri Sep 14 2001 - grimmer@suse.de
- Update to 2.7.7, which fixes the following bugs (since
  2.7.1):
  * Fixed a silly bug that would reliably prevent the Unison
  client from starting in 2.7.4.
  * Bug fix (2.7.4): read the initial connection header one byte
  at a time, so that we don't block if the header is shorter
  than expected.
* Wed Aug 29 2001 - grimmer@suse.de
- Update to 2.7.1 (see the NEWS file for changes)
- updated PDF manual to latest version
* Thu Aug 16 2001 - grimmer@suse.de
- Initial package for SuSE Linux (version 2.6.59)
